/*
 * File: BadScopeExample1.java
 * ---------------------
 * In this example, romeo is in the wrong scope!
 * How can we fix it?
 */

import acm.program.*;

public class BadScopeExample1 extends ConsoleProgram {
	public void run() {
		int romeo = 18;
		findRomance();
	}
	
	private void findRomance() {
		int juliet = 13;
		
		// Oh no! Romeo doesn't exist inside of findRomance!
		// How will trueLove prevail?
		int trueLove = romeo + juliet;
	}
}

